import request from '@/utils/request'

// 查询企微用户通话记录列表
export function listQwUserVoiceLog(data) {
  return request({
    url: '/qw/qwUserVoiceLog/newList',
    method: 'post',
    data: data
  })
}

// 查询企微用户通话记录详细
export function getQwUserVoiceLog(id) {
  return request({
    url: '/qw/qwUserVoiceLog/' + id,
    method: 'get'
  })
}

// 新增企微用户通话记录
export function addQwUserVoiceLog(data) {
  return request({
    url: '/qw/qwUserVoiceLog',
    method: 'post',
    data: data
  })
}

// 修改企微用户通话记录
export function updateQwUserVoiceLog(data) {
  return request({
    url: '/qw/qwUserVoiceLog',
    method: 'put',
    data: data
  })
}

// 删除企微用户通话记录
export function delQwUserVoiceLog(id) {
  return request({
    url: '/qw/qwUserVoiceLog/' + id,
    method: 'delete'
  })
}

// 导出企微用户通话记录
export function exportQwUserVoiceLog(query) {
  return request({
    url: '/qw/qwUserVoiceLog/export',
    method: 'get',
    params: query
  })
}
